WRAP-AND-SORT(1)

NOM
wrap-and-sort - Couper les lignes longues et trier les objets des fichiers d'empaquetage

SYNOPSIS
wrap-and-sort [options]

DESCRIPTION
wrap-and-sort renvoie à la ligne les listes de paquets des fichiers de contrôle Debian. Par défaut, les listes ne seront coupées que si les entrées sont plus longues que la taille maximale de ligne, c’est-à-dire 79 caractères. wrap-and-sort trie la liste de paquets des fichiers de contrôle Debian et de tous les fichiers .dirs, .docs, .examples, .info, .install, .links, .maintscript et .manpages. De plus, wrap-and-sort supprime les espaces de fin de ligne de ces fichiers.

Cette commande devrait être exécutée depuis la racine d'un paquet source Debian. Elle cherche les fichiers control, control*.in, copyright, copyright.in, install et *.install dans le répertoire debian.

OPTIONS

-h, --help
    Afficher ce message d'aide et quitter.

-a, --wrap-always
    Utiliser une ligne par paquet dans le fichier control de Debian, même si la liste ne dépasse pas la taille limite et pourrait tenir sur une ligne.

-s, --short-indent
    N'indenter les lignes coupées que d'une espace (par défaut, elle sont alignées avec le nom du champ).

-b, --sort-binary-packages
    Trier les paragraphes du paquet binaire par nom.

-k, --keep-first
    Lors du tri les paragraphes du paquet binaire, laisser le premier en haut.

    Les fichiers de configuration de debhelper(7) sans condition sont appliqués au premier paquet.

--no-keep-first Lors du tri les paragraphes du paquet binaire, ne pas
    traiter particulièrement le premier paquet (opposé de --keep-first).

-n, --no-cleanup
    Ne pas supprimer les blancs.

-t, --trailing-comma
    Ajouter une virgule finale pour terminer les champs ordonnés. Cela réduira les prochaines différences, dans les systèmes de suivi de version, lors de l'ajout ou la suppression de dépendances.

-d chemin, --directory=chemin
    Emplacement du répertoire debian (./debian par défaut).

-f fichier, --file=fichier
    Ne couper et trier que le fichier indiqué. Vous pouvez utiliser ce paramètre plusieurs fois. Tous les fichiers pris en charge seront traités si aucun fichier n'est indiqué.

-v, --verbose
    Afficher tous les fichiers modifiés.

--max-line-length=taille_maximale_ligne
    Définir la taille maximale de ligne permise. Les listes de paquet dans le fichier control de Debian qui dépassent cette taille limite seront ajustées.

    Par défaut, la taille maximale de ligne est de 79 caractères.

-d, --debug
    Ne pas modifier de fichiers, mais afficher les fichiers qui devraient être modifiés.

--experimental-rts-parser
    Option acceptée temporairement pour rétro compatibilité avec une expérimentation. Ne fait plus rien. A supprimer tout script.

AUTEURS
wrap-and-sort et cette page de manuel ont été écrites par Benjamin Drung <bdrung@debian.org>.

Toutes deux sont publiées sous la License ISC.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.